Package org.bukkit.event.player

# Class PlayerInteractAtEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerInteractEntityEvent
org.bukkit.event.player.PlayerInteractAtEntityEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerInteractAtEntityEvent extends PlayerInteractEntityEvent
Represents an event that is called when a player right clicks an entity that also contains the location where the entity was clicked.
Note that the client may sometimes spuriously send this packet in addition to `PlayerInteractEntityEvent`. Users are advised to listen to this (parent) class unless specifically required.
Note that interacting with Armor Stands fires this event only and not its parent and as such users are expressly required to listen to this event for that scenario.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerInteractEntityEvent

`clickedEntity`

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerInteractAtEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity, @NotNull Vector position)`
`PlayerInteractAtEntityEvent(@NotNull Player who, @NotNull Entity clickedEntity, @NotNull Vector position, @NotNull EquipmentSlot hand)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Vector`
`getClickedPosition()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.player.PlayerInteractEntityEvent

`getHand, getRightClicked, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerInteractAtEntityEvent

public PlayerInteractAtEntityEvent(@NotNull @NotNull Player who, @NotNull @NotNull Entity clickedEntity, @NotNull @NotNull Vector position)

### PlayerInteractAtEntityEvent

public PlayerInteractAtEntityEvent(@NotNull @NotNull Player who, @NotNull @NotNull Entity clickedEntity, @NotNull @NotNull Vector position, @NotNull @NotNull EquipmentSlot hand)

## Method Details

### getClickedPosition

@NotNull public @NotNull Vector getClickedPosition()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `PlayerInteractEntityEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()